> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create run for an experiment



## OpenAPI

````yaml post /v1/experiments/{experiment_id}/runs
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/experiments/{experiment_id}/runs:
    post:
      tags:
        - experiments
      summary: Create run for an experiment
      operationId: createExperimentRun
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExperimentRunRequestBody'
      responses:
        '200':
          description: Experiment run created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateExperimentRunResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Experiment or dataset example not found
        '409':
          content:
            text/plain:
              schema:
                type: string
          description: >-
            Experiment run already exists with a successful result and cannot be
            updated
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateExperimentRunRequestBody:
      properties:
        dataset_example_id:
          type: string
          title: Dataset Example Id
          description: The ID of the dataset example used in the experiment run
        output:
          title: Output
          description: The output of the experiment task
        repetition_number:
          type: integer
          exclusiveMinimum: 0
          title: Repetition Number
          description: The repetition number of the experiment run
        start_time:
          type: string
          format: date-time
          title: Start Time
          description: The start time of the experiment run
        end_time:
          type: string
          format: date-time
          title: End Time
          description: The end time of the experiment run
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
          description: The ID of the corresponding trace (if one exists)
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Optional error message if the experiment run encountered an error
      type: object
      required:
        - dataset_example_id
        - output
        - repetition_number
        - start_time
        - end_time
      title: CreateExperimentRunRequestBody
    CreateExperimentRunResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/CreateExperimentRunResponseBodyData'
      type: object
      required:
        - data
      title: CreateExperimentRunResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreateExperimentRunResponseBodyData:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the newly created experiment run
      type: object
      required:
        - id
      title: CreateExperimentRunResponseBodyData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````